package consts

/**
 * @author yuanrh
 * @description 全局常量定义
 * @date 2021/6/28 11:11
 **/

const (
	LOG_PREFIX = "[locking-kit-server] "

	LOG_PATH = "../logs"

	IPFS_PATH = "IPFS-PATH"

	WORKSPACE = "TSZDATADIR"

	SERVER_IP_PORT = "http://127.0.0.1:8092"

	CONTENT_TYPE = "application/json"

	ETCD_URL = "127.0.0.1:2379"

	//等待同步
	TASK_SYNC_STATUS_WAIT = "TASK_SYNC_STATUS_WAIT"

	//同步中
	TASK_SYNC_STATUS_ING = "TASK_SYNC_STATUS_ING"

	//同步暂停
	TASK_SYNC_STATUS_PAUSE = "TASK_SYNC_STATUS_PAUSE"

	//同步成功
	TASK_SYNC_STATUS_FINISH = "TASK_SYNC_STATUS_FINISH"

	//同步失败
	TASK_SYNC_STATUS_FAIL = "TASK_SYNC_STATUS_FAIL"

	ETCD_DIRECTOR_TASK_SYNC = "/TASK_SYNC/"

	//同时最大下载数
	MAX_DOWNLOADING_NUM = 3

	TASK_ID = "TaskId"

	TASK_SYNC_STATUS = "TaskSyncStatus"

	TASK_SYNC_PROGRESS= "TaskSyncProgress"
)
